package com.ims.eval.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ims.eval.entity.PerformanceBenchmarkInfo;
import com.ims.eval.entity.dto.result.R;
import com.ims.eval.service.*;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import javax.annotation.Resource;

/**
 * @author hlf
 * @date 2024/3/21 15:58
 * 文件说明：业绩对标管理
 */
public class PerformanceBenchmarkingManageController {

	@Resource
	private IPerformanceBenchmarkInfoService performanceBenchmarkInfoService;

	/**
	 * 业绩对标管理列表信息（分页）
	 *
	 * @param pageNum        当前记录起始索引
	 * @param pageSize       每页显示记录数
	 * @param toolCategory   工具类别（寻标、立标、标杆、达标、超标）
	 * @param manageCategory 经营类别（火电、水电、新能源(风电、光伏)、煤电、海外、综合）
	 * @param checkCycle     周期（NDKP、JDKP、YDKP）
	 * @return 结果
	 */
	@GetMapping(value = "/list")
	public R list(
		@RequestParam(value = "pageNum") Integer pageNum,
		@RequestParam(value = "pageSize") Integer pageSize,
		@RequestParam(value = "toolCategory") String toolCategory,
		@RequestParam(value = "manageCategory") String manageCategory,
		@RequestParam(value = "checkCycle", required = false) String checkCycle) {
		IPage<PerformanceBenchmarkInfo> list = performanceBenchmarkInfoService.listPage(pageNum, pageSize, toolCategory, manageCategory, checkCycle);
		return R.ok().data(list);
	}

}
